%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define avahi_version   0.6.17
%define dbus_version    0.81
%define svn_release     .svn20080609

Name: service-discovery-applet
Summary: Service discovery applet based on Avahi for the Gnome panel
Version: 0.4.5
Release: 0.3%{svn_release}%{?dist}
Group: User Interface/Desktops
License: GPLv2
URL: http://0pointer.de/cgi-bin/viewcvs.cgi/?root=service-discovery-applet
# To reproduce the tarball:
# svn co svn://svn.0pointer.de/service-discovery-applet/trunk service-discovery-applet
# cd service-discovery-applet
# svn export . ../service-discovery-applet-0.4.5.svn`date +%Y%m%d`
# cd ..
# tar cvfz service-discovery-applet-0.4.5.svn`date +%Y%m%d`.tar.gz service-discovery-applet-0.4.5.svn`date +%Y%m%d`
Source: %{name}-%{version}%{?svn_release}.tar.gz
%{!?fc8:Patch0: %{name}-0.4.5.svn20080609-configfix.patch}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch 

Requires: dbus >= %{dbus_version}
Requires: dbus-python >= %{dbus_version}
Requires: GConf2

BuildRequires: libtool, autoconf, automake
BuildRequires: dbus-devel >= %{dbus_version}, dbus-python
BuildRequires: avahi-tools
BuildRequires: gnome-common
BuildRequires: glib2-devel, gettext-devel, GConf2-devel
BuildRequires: intltool
BuildRequires: python >= 2.4, pygtk2-devel,
BuildRequires: perl, perl-XML-Parser

%description
The service discovery applet lists all available services which are published
through Avahi/Rendezvous/Bonjour/ZeroConf and allows to run actions on that
service.

%prep
%setup -q -n %{name}-%{version}%{?svn_release}
%{!?fc8:%patch0 -p1 -b .configfix}

%build
./autogen.sh
%configure
make


%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING AUTHORS README TODO
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/service-discovery-config
%{_libdir}/bonobo/servers/GNOME_ServiceDiscoveryApplet.server
%{python_sitelib}/sdapplet/
#%{_docdir}/%{name}-%{version}
%{_datadir}/%{name}/

%changelog
* Mon Jun 30 2008 Tim Niemueller <tim@niemueller.de> 0.4.5-0.3.svn20080609
- Add missing require for avahi-tools

* Mon Jun 09 2008 Tim Niemueller <tim@niemueller.de> 0.4.5-0.2.svn20080609
- Updated to 0.4.5 (svn 20080609)
- Added patch for F-9
- Cleanup spec file for review

* Wed Oct 10 2007 Tim Niemueller <tim@niemueller.de> 0.4.5
- Updated to 0.4.5 (svn 20071010)

* Sat Apr 29 2006 Tim Niemueller <tim@niemueller.de> 0.4.1
- Updated to 0.4.1

* Fri Mar 31 2006 Tim Niemueller <tim@niemueller.de> 0.4
- Initial version of spec file

